com.rscja.custom.interfaces

## Interface IRFIDWithUHFUARTUAE

- All Superinterfaces:
    IUHF, IUHFOfAndroidUart
  All Known Implementing Classes:
    RFIDWithUHFUARTUAE_qcom

      public interface IRFIDWithUHFUARTUAE
      extends IUHFOfAndroidUart

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 关闭UHF模块 Switch off UHF module
    `UHFTAGInfo` | `inventorySingleTag()` 该函数单步识别标签 this formula identify tag in single step
    `UHFTAGInfo` | `ParseEPCAndTamperAlarm(char[] uhfdata)`
    `UHFTAGInfo` | `readTagEPCAndTamperAlarm(boolean single)`
    `UHFTAGInfo` | `readTagFromBuffer()` 同时获取EPC和Tamper Alarm数值 read return tag info.
    `boolean` | `setEPCAndTamperAlarm()`
    `boolean` | `setEPCAndTamperAlarmMode()`
    `boolean` | `setEPCMode()` 设置读取 EPC模式设置

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### setEPCAndTamperAlarmMode

          boolean setEPCAndTamperAlarmMode()

    - #### setEPCMode

          boolean setEPCMode()

      设置读取 EPC模式设置
      Specified by:
        `setEPCMode` in interface `IUHF`
      Returns:
        true设置成功，false设置失败
        true means setup success, false means setup failed

    - #### free

          boolean free()

      关闭UHF模块
      Switch off UHF module
      Specified by:
        `free` in interface `IUHF`
      Returns:
        true成功，false失败
        true success, false failed

    - #### readTagFromBuffer

          UHFTAGInfo readTagFromBuffer()

      同时获取EPC和Tamper Alarm数值
      read return tag info.
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Returns:

    - #### inventorySingleTag

          UHFTAGInfo inventorySingleTag()

      该函数单步识别标签 this formula identify tag in single step
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Returns:

    - #### setEPCAndTamperAlarm

          boolean setEPCAndTamperAlarm()

    - #### readTagEPCAndTamperAlarm

          UHFTAGInfo readTagEPCAndTamperAlarm(boolean single)

    - #### ParseEPCAndTamperAlarm

          UHFTAGInfo ParseEPCAndTamperAlarm(char[] uhfdata)